Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 141223 - media-sound/esound-0.2.39 re-keywording request
Summary: media-sound/esound-0.2.39 re-keywording request
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: MIPS Porters
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 146062 148242
  Show dependency tree
 
Reported: 2006-07-20 17:54 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-11-30 08:03 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2006-07-20 17:54:07 UTC
As per summary, please every arch test and mark with the respective ~arch esound-0.2.36-r2. This version (still in p.mask, but not for long anymore!) installs the esound daemon as esound-esd, to allow choosing /usr/bin/esd as pulseaudio's esound wrapper so that esound users can use pulseaudio to play.

To achieve this it uses the trivial eselect-esd module, that is also under p.mask until the whole pulseaudio will be unmasked. *It will be soon!*

Note that no change is supposed to happen unless you also keyword media-sound/pulseaudio, and still there, if the user still has esound installed it will be required to take action to use esd.

Thanks,
Diego
Comment 1 Tobias Scherbaum (RETIRED) gentoo-dev 2006-07-22 08:55:57 UTC
Added ~ppc
Comment 2 Joshua Jackson (RETIRED) gentoo-dev 2006-07-26 20:50:34 UTC
~x86 added after misreading and doing x86 for a sec ~_~
Comment 3 Fabian Groffen gentoo-dev 2006-07-29 06:12:49 UTC
>>> Emerging (2 of 2) media-sound/esound-0.2.36-r2 to /
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking esound-0.2.36.tar.bz2 ;-) ...                                 [ ok ]
>>> Unpacking source...
>>> Unpacking esound-0.2.36.tar.bz2 to /private/var/tmp/portage/esound-0.2.36-r2/work
 * Applying esound-0.2.32-amd64.patch ...                                 [ ok ]
 * Applying esound-0.2.36-ppc-macos.patch ...                             [ ok ]
 * Applying esound-0.2.36-mode_t.patch ...                                [ ok ]
 * Applying esound-0.2.36-asneeded.patch ...                              [ ok ]
 * Automake used for the package (1.8.5) differs from
 * the installed version (1.6.3).
 * Running eautoreconf in '/private/var/tmp/portage/esound-0.2.36-r2/work/esound-0.2.36' ...
 * Running aclocal ...                                                    [ !! ]

 * Failed Running aclocal !
 * 
 * Include in your bugreport the contents of:
 * 
 *   /private/var/tmp/portage/esound-0.2.36-r2/temp/aclocal-5505.out


!!! ERROR: media-sound/esound-0.2.36-r2 failed.
Call stack:
  , line :   Called die

!!! Failed Running aclocal !
!!! If you need support, post the topmost build error, and the call stack if relevant.
% cat /private/var/tmp/portage/esound-0.2.36-r2/temp/aclocal-5505.out
***** aclocal *****

aclocal: configure.ac: 196: macro `AM_PATH_ARTS' not found in library

doesn't autoX on ppc-macos
Comment 4 Jason Wever (RETIRED) gentoo-dev 2006-08-05 16:01:27 UTC
A ~sparc for me, and a ~sparc for all my dead homies
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2006-08-11 04:57:23 UTC
HPPA done.
Comment 6 Markus Rothe (RETIRED) gentoo-dev 2006-08-11 13:43:00 UTC
added ~ppc64
Comment 7 Diego Elio Pettenò (RETIRED) gentoo-dev 2006-08-31 11:40:52 UTC
Fabian, should be fixed now, sorry for the delay.
Comment 8 Fabian Groffen gentoo-dev 2006-08-31 12:20:01 UTC
Glad to see you back, Diego.  Works like a charm.  ~ppc-macos is back.
Comment 9 Thomas Cort (RETIRED) gentoo-dev 2006-10-22 07:19:06 UTC
alpha done.
Comment 10 Yuriy Rusinov 2007-11-17 18:56:36 UTC
on Amd64 media-sound/esound-0.2.38-r1 failed 
last messages
make[2]: *** [html/index.html] Error 8
make[2]: Leaving directory `/var/tmp/portage/media-sound/esound-0.2.38-r1/work/esound-0.2.38/docs'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-sound/esound-0.2.38-r1/work/esound-0.2.38'
make: *** [all] Error 2
Comment 11 Gilles Dartiguelongue gentoo-dev 2007-11-17 19:51:55 UTC
(In reply to comment #10)
> on Amd64 media-sound/esound-0.2.38-r1 failed 
> last messages
[snip] 

providing the build.log and emerge --info could help.
Comment 12 Yuriy Rusinov 2007-11-17 20:03:46 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > on Amd64 media-sound/esound-0.2.38-r1 failed 
> > last messages
> [snip] 
> 
> providing the build.log and emerge --info could help.
> 

I research bugs and find that emerge --oneshot -v app-text/sgml-common could help. It was useful and helps me. My emerge --info is 

Portage 2.1.3.19 (default-linux/amd64/2006.1, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22-gentoo-r9 x86_64)
=================================================================
System uname: 2.6.22-gentoo-r9 x86_64 AMD Athlon(tm) 64 Processor 3000+
Timestamp of tree: Sat, 17 Nov 2007 15:16:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.22-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.chg.ru/pub/Linux/distributions/gentoo/ http://adelie.polymtl.ca/ ftp://gentoo.arcticnetwork.ca/pub/gentoo/ http://gentoo.arcticnetwork.ca/ ftp://mirrors.tera-byte.com/pub/gentoo http://gentoo.mirrors.tera-byte.com/ http://gentoo.osuosl.org/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/ ftp://ftp.gtlib.gatech.edu/pub/gentoo http://www.gtlib.gatech.edu/pub/gentoo "
LANG="ru_RU.UTF-8"
LC_ALL=""
LINGUAS="en ru"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/initng /usr/portage/local/layman/science /usr/portage/local/layman/voip /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="amd64 berkdb bitmap-fonts cli cracklib crypt cups dri firefox fortran gdbm gnome gpm gtk iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly openmp pam pcre perl ppds pppd python qt readline reflection session spl ssl tcpd truetype-fonts type1-fonts unicode xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en ru" USERLAND="GNU" VIDEO_CARDS="nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 13 Yuriy Rusinov 2007-11-17 20:06:21 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > on Amd64 media-sound/esound-0.2.38-r1 failed 
> > last messages
> [snip] 
> 
> providing the build.log and emerge --info could help.
> 

Some questions were remained. Where is the problem and which way it arises.
Comment 14 Diego Elio Pettenò (RETIRED) gentoo-dev 2007-11-17 20:08:28 UTC
It would be nice if the bug remained on-topic. This is about re-keywording, and is limited to MIPS.
If there is the need, PLEASE OPEN NEW BUGS.
Comment 15 Rémi Cardona gentoo-dev 2008-05-09 14:30:07 UTC
@mips,

I've cleaned up esound ebuilds, and I'd really like if you could rekeyword 0.2.38-r1 so that we can clean up the old ebuilds and patches.

Thanks
Comment 16 Ryan Hill (RETIRED) gentoo-dev 2008-05-10 03:09:23 UTC
Hey Rémi.  Feel free to drop the old ebuild.  We shouldn't need esound and really have no way of testing it.
Comment 17 Rémi Cardona gentoo-dev 2008-05-10 08:15:57 UTC
If I drop the old esound ebuild, mips won't have any esound keyworded, thus unleashing boatloads of crap on us whenever we will be doing repoman checks on any of the 30+ packages that dep on it... Not too much fun. :)

As for actually testing esound, I don't care. I've never used it myself in Gentoo. All I really care about is libesd, against which some Gnome apps still link. So if esound-0.2.38-r1 builds fine on mips, please add a ~ keyword.

Thanks
Comment 18 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-05-10 10:55:31 UTC
Suggestion for the mips devs: although it sucks, esound is also networked, so you can set your mips station to sent output to an x86 or amd64 station where sound is actually working. It might ease your testing _a lot_.
Comment 19 Ryan Hill (RETIRED) gentoo-dev 2008-05-10 14:42:22 UTC
every package i see with a depend on esound has it behind the esd USE flag or isn't keyworded mips.  if there's cases where early versions don't have the USE flag and older ones do then we should drop mips from those versions.

or i could just keyword esound.  i'm gone for the next few days so it'll have to wait til next week.
Comment 20 Daniel Gryniewicz (RETIRED) gentoo-dev 2008-05-17 14:57:22 UTC
Masking the esd flag on mips should be a valid solution.  Gnome proper has no non-use-flag dep on esd (I know, I fixed it all myself).
Comment 21 Rémi Cardona gentoo-dev 2008-07-16 10:35:39 UTC
If you ever feel like keywording esound, please do it on 0.2.39.

Thanks
Comment 22 Samuli Suominen (RETIRED) gentoo-dev 2008-11-30 07:36:28 UTC
It's been almost 3 years, dropping the old versions and masking USE="esd" in mips profile inside 30 days.

This could mean mass unkeywording of media packages for mips.
Comment 23 Samuli Suominen (RETIRED) gentoo-dev 2008-11-30 08:03:32 UTC
Seems USE esd was already masked by dirtyepic in mips profile. Portage has no more esound keyworded for mips, closing as RESO, CANTFIX.